source: trunk/softs/tests_cc_vcache/test_excep_ls_llsc/run

Last change on this file was 520, checked in by bouyer, 13 years ago

Re-add the tests; reverting previous which was done at the wrong level (sorry)

  • Property svn:executable set to *
File size: 650 bytes
Line 
1#!/bin/sh
2
3. ../common/common.sh
4
5check_output()
6{
7 egrep "^0x00000004: 0x0000BEEF$" run.out > /dev/null
8 if [ $? -ne 0 ]; then
9 echo "couldn't find string 1 in output - mtty not working ?" >> run.out
10 return 1
11 fi
12 egrep "^status 0x00400002 cause 0x0000001C pc 0xBFC00058 badva 0x00000004$" run.out > /dev/null
13 if [ $? -ne 0 ]; then
14 echo "couldn't find string 2 in output - mtty not working ?" >> run.out
15 return 1
16 fi
17 return 0;
18}
19
20make --quiet || exit 1
21${SIMUL} > run.out 2>&1
22if [ $? -eq 0 ]; then
23 if check_output; then
24 echo "test passsed";
25 make --quiet clean
26 exit 0;
27 fi
28 echo "test FAILED"
29 exit 1
30fi
31echo "test FAILED"
32exit 1
33
Note: See TracBrowser for help on using the repository browser.